variable "proxmox_url" {
  description = "full url of the proxmox api"
  default     = "https://proxmox.i.kjuulh.io/api2/json"
}

variable "proxmox_ip" {
  description = "the ip address of the proxmox instance"
  default     = "10.0.11.0"
}

variable "proxmox_node" {
  description = "which node is the vm associated"
  default     = "clank-smolboks-0"
}

variable "cloud_init_template" {
  description = "which cloud init template to be used"
  default     = "debian12-cloudinit"
}

variable "name" {
  description = "what is the name of the node"
}

variable "domain" {
  description = "which domain is the host associated with"
  default     = "nodes.kjuulh.io"
}

variable "ip_address" {
  description = "which ip address should the the host assume (cidr)"
}

variable "gateway" {
  description = "which ip address serves as the gateway for the host"
  default     = "10.0.11.1"
}

variable "ssh_pub" {
  default = "ssh public key"
}

variable "ssh_private" {
  default   = "ssh private key"
  sensitive = true
}

variable "user_password" {
  sensitive = true
  default   = null
}

variable "cpu" {
  default = 1
}

variable "memory" {
  default = 512
}
